<cdc-logout-button></cdc-logout-button>
<div class="page-component">

    <cdc-search-form cdcWindowScroll (research)="doResearch($event)" (cancel)="doReset()"></cdc-search-form>
    
    <p-progressSpinner [style]="{width: '150px', height: '150px'}" strokeWidth="1" fill="#EEEEEE" *ngIf="!isLoaded"></p-progressSpinner>
    
    <div class=list-events *ngIf="isLoaded">
        <cdc-event-thumbnail *ngFor="let currentEvent of eventsList" [eventData]="currentEvent"></cdc-event-thumbnail>
    </div><!--class="list-events"-->

</div><!--class="page-component"-->